# log

abstract fun log(level: LogLevel, message: String)

Logs the given message at the given log level.

#### Parameters

level

the log level.

message

the log message.

abstract fun log(level: LogLevel, message: String, objects: Array<Any>)

Logs the given message at the given log level.

#### Parameters

level

the log level.

message

the log message.

objects

the log message parameters.

abstract fun log(level: LogLevel, message: String, throwable: Throwable)

Logs the given message at the given log level.

#### Parameters

level

the log level.

message

the log message.

throwable

the exception to log.